/*GENERAL*/
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;700&display=swap');
body {

    animation: fadeIn ease 1s;
    -webkit-animation: fadeIn ease 1s;
    -moz-animation: fadeIn ease 1s;
    -o-animation: fadeIn ease 2s;
    -ms-animation: fadeIn ease 1s;
    font-family: 'Roboto', sans-serif;
}

body#login {
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.fade-in {
    animation: fadeIn ease 1s;
    -webkit-animation: fadeIn ease 1s;
    -moz-animation: fadeIn ease 1s;
    -o-animation: fadeIn ease 1s;
    -ms-animation: fadeIn ease 1s;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@-moz-keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@-webkit-keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@-o-keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@-ms-keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@media (min-width: 1200px) {

    .container,
    .container-lg,
    .container-md,
    .container-sm,
    .container-xl {
        max-width: 1366px;
    }
}

/*UPLOAD IMG*/
.box-upload-img {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 30px;
    border: 1px solid #3c3c3c;
    margin-top: 30px;
}

.box-upload-img svg {
    fill: #3c3c3c;
    margin-bottom: 20px;
}

/*TAB*/
.form-control,
.custom-select {
    color: #000;
    font-weight: 600;
    border: 1px solid #3c3c3c;
}

.tab-pane {
    border: 1px solid #dee2e6;
    border-top: none;
}

.nav-tabs {
    margin-top: 30px;
}

.tab-pane {
    padding: .5rem 1rem;
}

.nav-tabs .nav-link {
    color: #696969;
}

.nav-tabs .nav-link.active {
    color: #000;
    font-weight: 600;
}

.textarea textarea {
    width: 100%;
    height: 150px;
}

.nav-tabs .nav-item.show .nav-link,
.nav-tabs .nav-link.active {
    border-top: 2px solid #007bff;
}

label.label_description {
    display: flex;
    justify-content: space-between;
}

.tipo-game {
    color: #000;
    font-weight: 600;
}

/*Orari*/
.giorni_settimana {
    list-style: none;
    display: flex;
    flex-direction: column;
    padding-left: 0;
}

.giorni_settimana li * {
    width: 100%;
    margin: 15px;
}

.giorni_settimana li {
    display: flex;
}

.giorni_settimana li #giorno {
    border-bottom: 1px solid #333;
}

.divided {
    text-align: center;
    max-width: 10px;
}

/*RICERCA POI*/
.container_ricerca {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 30px 0;

}

.container_ricerca .form-group {
    margin-bottom: 0;
    flex-basis: 20%;
}


/*UPLOAD IMG*/

.my-form {
    margin-bottom: 10px;
}

#gallery {
    margin-top: 10px;
    display: flex;
    flex-wrap: wrap;
    transition: ease-in-out 0.5s;
}

#gallery img {
    width: 150px;
    margin-bottom: 10px;
    margin-right: 10px;
    vertical-align: middle;
}

.button {
    display: inline-block;
    padding: 10px;
    background: #ccc;
    cursor: pointer;
    border-radius: 5px;
    border: 1px solid #ccc;
}

.button:hover {
    background: #ddd;
}

#fileElem,
#audioFileChooserEN,
#audioFileChooserIT,
#audioFileChooserFR {
    display: none;
}

.bg-cover {
    width: 150px;
    min-height: 150px;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    margin: 5px;
    position: relative;
    border: 2px solid #6beb21;
    border-radius: 11px;
}

.bg-cover.errore {
    border: 2px solid #fa0000;
}

.bg-cover::before {
    content: "+";
    font-size: 35px;
    position: absolute;
    right: -7px;
    top: -8px;
    color: #fa0000;
    padding: 0px 5px;
    transform: rotate(45deg);
    font-weight: bold;
}

.bg-cover:hover::before {
    cursor: pointer;
}

#errori {
    margin-top: 15px;
    list-style: none;
    padding: 0;
}

#errori b {
    color: #fa0000;
}


#progress-bar,#progress-bar-2 {
    opacity: 0;
    transition: ease-in-out 0.3s;
    width: 100%;
}

#pills-tabContent .tab-pane {
    border: none;
}

.nav-pills {
    padding: .5rem 1rem;
}

#audio:focus {
    outline: none;
}

.label_description span {
    font-weight: 600;
}

/*ALERT*/
#container_modal {
    position: fixed;
    top: 8px;
    right: 30px;
}
.modal {
    background: #00000082;
}
.modal-dialog {
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}
.alert {
    display: block;
    max-width: 350px;
}

.alert button:focus {
    outline: none;
}

/*Azioni lista poi*/
.elimina:hover {
    cursor: pointer;
}
.table thead th {
    text-align: center;
}

#loader {
    height: 50vh;
    align-items: center;
}

.loader {
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #3498db;
    width: 120px;
    height: 120px;
    -webkit-animation: spin 2s linear infinite; /* Safari */
    animation: spin 2s linear infinite;
  }

  .loader-mini .loader {
      width: 28px;
      height: 28px;
      border: 5px solid #f3f3f3;
      border-top: 5px solid #3498db;
  }
  
  /* Safari */
  @-webkit-keyframes spin {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
  }
  
  @keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
  }

  .img_poi {
    padding: 15px;
    border: 1px solid #3c3c3c;
    margin-top: 30px;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;

  }

  .img_poi .bg-cover {
      width: 100px;
      min-height: 100px;
  }

 ul.lista_audio {
     padding: 20px;
     list-style: none;
 }
 .rimuovi_audio_guida {
     color: #007bff;
 }
 ul.lista_audio li {
     border-bottom: 1px solid #696969;
     padding: 15px 0;
     display: flex;
     justify-content: space-between;
     position: relative;
     padding-left: 30px;
 }
 ul.lista_audio li::before {
     content: '\f58f';
     font-family: "Font Awesome 5 Free"; 
     font-weight: 900;
     position: absolute;
     left: 0%;
     top: 22%;
     font-style: normal;
     font-variant: normal;
     text-rendering: auto;
     -webkit-font-smoothing: antialiased;
 }
 ul.lista_audio li p {
     margin-bottom: 0;
 }
 .rimuovi_audio_guida:hover {
    text-decoration: underline;
    cursor: pointer;
 }